normaliz (3.10.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/adhoc/Makefile
    - Also build Normaliz Short Reference.
  * debian/control
    - Bump Standards-Version to 4.7.0.
  * debian/gbp.conf
    - Remove file; only purpose was to set debian-branch to experimental,
      which is no longer the case.
  * debian/copyright
    - Add the unused PyNormaliz files to Files-Excluded
    - Add generated NmzShortRef.pdf to Files-Excluded.
  * debian/normaliz-doc.docs
    - Install Normaliz Short Reference.
  * debian/normaliz-doc.examples
    - Don't install Python examples; they have been moved to the pynormaliz
      package.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 29 May 2024 21:34:22 -0400

normaliz (3.10.2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 02 Apr 2024 21:34:15 -0400

normaliz (3.10.2+ds-2~exp1) experimental; urgency=medium

  * FTBFS fix release due to #1067226 which was fixed
    in experimental (Closes: #1067274).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Apr 2024 11:47:26 +0000

normaliz (3.10.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright
    - Update my copyright years.
  * debian/patches
    - Remove flint3.patch; applied upstream.
    - Refresh remaining patches for new upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 01 Mar 2024 23:19:46 -0500

normaliz (3.10.1+ds-5) unstable; urgency=medium

  * debian/control
    - Switch from libnauty2-dev -> libnauty-dev in Build-Depends and
      Depends.
  * debian/patches/ax-check-library.patch
    - New patch; use AX_CHECK_LIBRARY from autoconf-archive.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 15 Jan 2024 23:30:55 -0500

normaliz (3.10.1+ds-4) unstable; urgency=medium

  * debian/patches/flint3.patch
    - New patch; add FLINT 3 support.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 18 Dec 2023 23:00:20 -0500

normaliz (3.10.1+ds-3) unstable; urgency=medium

  * Rebuild against nauty 2.8.8.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 09 Dec 2023 13:14:20 -0500

normaliz (3.10.1+ds-2) unstable; urgency=medium

  * debian/clean
    - Add Normaliz.idx and all .aux files.
    - Sort lines.
  * debian/patches/skip-failing-tests.patch
    - Skip Kwak10-mrk; failing on arm64, ppc64el, and s390x.
    - Skip ChF_8_1024, ChF_8_1024Nr, lowrankPF, smallPF, and ThierryPF;
      failing on s390x.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 29 Jun 2023 23:46:42 -0400

normaliz (3.10.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable now that bookworm has been released.
  * debian/patches/skip-failing-tests.patch
    - New patch; skip tests that fail on 32-bit architectures.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 28 Jun 2023 20:26:35 -0400

normaliz (3.10.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental because of bookworm freeze.
  * debian/control
    - Add myself to Uploaders.
    - Bump Standards-Version to 4.6.2.
  * debian/copyright
    - Add myself to debian/* stanza.
  * debian/patches/upstream-source-lintian-spelling.patch
    - Remove patch; applied upstream.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/watch
    - Update regular expression so that 'v' before version number is
      optional.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 15 Feb 2023 11:52:40 -0500

normaliz (3.9.4+ds-2) unstable; urgency=medium

  * Debianization:
    - d/watch, now use GitHub API to avoid breaking change from GitHub web UI
      (see https://lists.debian.org/debian-devel/2022/09/msg00229.html);
    - d/copyright:
      - Format, fix URI.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Nov 2022 15:44:53 +0000

normaliz (3.9.4+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);
    - d/patches/*:
      - d/p/upstream-source-lintian-spelling.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Sep 2022 14:30:00 +0000

normaliz (3.9.3+ds-1) unstable; urgency=medium

  * Upstream new nano version.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-tests-floating_point-embbed.patch, obsoleted;
    - d/tests/*:
      - d/t/control, fix typo.


 -- Jerome Benoit <calculus@rezozer.net>  Sat, 23 Apr 2022 15:24:47 +0000

normaliz (3.9.2+ds-2) unstable; urgency=medium

  * FTBFS release.
  * Debianization:
    - d/paches/*:
      - d/p/upstream-fix-tests-floating_point-embbed.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 28 Feb 2022 20:49:03 +0000

normaliz (3.9.2+ds-1) unstable; urgency=medium

  * Upstream new minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded field, refresh;
    - d/control:
      - Standards Version, bump to 4.6.0 (no change);
      - Build-Depends field, update;
      - libnormaliz-dev Depends list, update.
    - d/rules, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 28 Feb 2022 09:13:52 +0000

normaliz (3.8.9+ds-1) unstable; urgency=medium

  * Technical upload.
  * Debianization:
    - d/copyright:
      - copyright year tuples, update;
    - d/control:
      - Maintenance, migrate to Debian Math Team.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 22 Feb 2022 10:12:20 +0000

normaliz (3.8.9+ds-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix team mailing list address (Closes: #970759).
  * Add patch to fix numerical noise issues (Closes: #969794, #971188).
  * Made deps on flint, flint-arb and e-antic unconditional.
  * Bump dh compat to 13.
  * New upstream version.
  * Refresh patches, and drop the numerical noise one (now unneeded).
  * Drop all lintian overrides: keeping warnings is harmless, hiding them
    might turn harmful.
  * Ship the PyNormaliz examples too.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Oct 2020 12:17:34 +0200

normaliz (3.8.5+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Maintainer address, update;
      - Rules-Requires-Root, introduce and set to no;
      - Standards Version, bump to 4.5.0 (no change);
      - Architecture field:
        - normaliz, convert to all (Multiarch hinter);
    - debian/normaliz-bin.lintian-overrides, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Jun 2020 12:16:21 +0000

normaliz (3.8.4+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - copyright year tuples, update;
      - Files-Excluded field, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 05 Jun 2020 16:44:17 +0000

normaliz (3.8.3+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/rules:
      - OpenMP support, disabled for alpha architecture.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Dec 2019 06:16:03 +0000

normaliz (3.8.3+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded list, refersh;
    - debian/patches/*:
      - d/p/debianization.patch, refresh;
    - debian/control:
      - {Build-,}Depends fields, remove libboost-dev;
      - Build-Depends-Indep, add texlive-latex-extra.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 28 Dec 2019 10:22:54 +0000

normaliz (3.8.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded list, refersh;
    - debian/control:
      - Depends field, libnormaliz-dev, update (Closes: #941933);
      - Standards Version, bump to 4.4.1 (no change),
    - debian/{control,rules}, permit alpha port;
    - debian/patches/*:
      - d/p/upstream-fix-spelling_error.patch , integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 Oct 2019 07:49:41 +0000

normaliz (3.7.1+ds-3) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.4.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 19 Jul 2019 12:26:01 +0000

normaliz (3.7.1+ds-2) experimental; urgency=medium

  * Debianization:
    - debian/{control,rules}, e-antic support;
    - debian/patches/*:
      - d/p/upstream-fix-spelling_error.patch, introduce;
    - debian/libnormaliz3.lintian-overrides:
      - hardening-no-fortify-functions entry, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 07 Jun 2019 06:47:30 +0000

normaliz (3.7.1+ds-1) experimental; urgency=medium

  * New upstream minor release.
  * Debianization:
    - debian/copyright:
      - Copyright field, year tuples, update;
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.3.0 (no change);
      - debhelper, bump to 12;
    - debian/compat, discard;
    - debian/tests/*:
      - d/t/control, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 30 Apr 2019 15:10:41 +0000

normaliz (3.6.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 21 Aug 2018 17:00:09 +0000

normaliz (3.6.2+ds-1) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.2.0 (no change);
    - debian/patches/*:
      - d/p/upstream-fix-autotoolization-external_build.patch , integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 Aug 2018 11:00:46 +0000

normaliz (3.6.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.1.4 (no change);
      - Vcs-* fields, migration to Salsa;
    - debian/rules:
      - get-orig-source target, discard;
    - debian/source:
      - d/s/lintian-overrides , update;
    - debian/patches/*:
      - d/p/upstream-fix-autotoolization-external_build.patch , integrated;
      - d/p/upstream-fix-autotoolization-external_build.patch , introduce;

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 08 Jun 2018 07:50:30 +0000

normaliz (3.5.1+ds-4) unstable; urgency=medium

  * FTBFS fix release: Closes: #881870), disable OMP support on alpha arch.
  * Debianization:
    - debian/rules, see above;
    - debian/patches/*:
      - d/p/upstream-reproducible-doc.patch , introduce (Closes: #886703;
    - debian/copyright, format URI, secure.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Jan 2018 05:45:25 +0000

normaliz (3.5.1+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Build-Depends field, libflint-dev, filter out m68k support.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 08 Jan 2018 14:30:04 +0000

normaliz (3.5.1+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/rules, filter out m68k triplet for libflint-dev support.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 08 Jan 2018 10:16:09 +0000

normaliz (3.5.1+ds-1) unstable; urgency=medium

  * New upstream micro version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
      - update;
    - debian/control:
      - debhelper, reverse to 11;
      - Standards Version, bump to 4.1.3 (no change);
      - Build-Depends-Indep field, reintroduce;
    - debian/rules:
      - doc composition, reintroduce;
      - harden;
    - debian/adhoc/Makefile, add doc target;
    - debian/clean, refresh;
    - debian/source/lintian-overrides, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 07 Jan 2018 16:09:07 +0000

normaliz (3.5.0+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/rules, correct x32 triplet;
    - debian/control:
      - debhelper, reverse to 10 (see #885745).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Dec 2017 17:01:44 +0000

normaliz (3.5.0+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - debhelper, bump to 11 (refresh doc-base);
      - Build-Depends field, libflint-dev, refine arch support;
    - debian/rules, libflint-dev, refine arch support.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Dec 2017 11:51:57 +0000

normaliz (3.5.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.1.2 (no change);
      - Build-Depends field, add libflint-dev;
    - debian/patches/*:
      - d/p/upstream-test-extremely_sensitive_tests-neutralize.patch,
        integrated;
    - debian/rules:
      - autotool chain, build against flint.
    - debian/README.Debian, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 21 Dec 2017 18:55:49 +0000

normaliz (3.4.1+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
  		- Breaks+Replaces field, add (Closes: #881883);
    - debian/patches/*:
      - d/p/upstream-test-extremely_sensitive_tests-neutralize.patch,
        introduce and submit (Closes: #881869);
      - d/p/debianization.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 17 Nov 2017 15:07:15 +0000

normaliz (3.4.1+ds-1) unstable; urgency=medium

  * New upstream minor version (Closes: #877210).
  * Debianization:
    - debian/copyright, refresh;
    - debian/control:
      - debhelper, bump to 10 (see d/rules);
      - Standards Version, bump to 4.1.1 (no change);
      - discard the debug symbols package libnormaliz0-dbg;
      - Build-Depends-Indep field, neutralize;
    - debian/watch:
      - version, bump to 4;
      - path, refresh to upstream GitHUB site path;
    - debian/rules:
      - debhelper, bump to 10;
      - doc composition, neutralize.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 15 Nov 2017 06:15:30 +0000

normaliz (3.1.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, improve;
    - debian/control:
      - Standards Version, bump to 3.9.7;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 11 Apr 2016 23:22:29 +0000

normaliz (3.1.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Source field, update;
      - X-Upstream-Vcs, clean up;
      - copyright, refresh;
    - debian/control:
      - Homepage field, update;
      - Vcs-*, secure;
    - debian/watch, update;
    - debian/patches, drop off upstream patches which were integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 18 Feb 2016 05:24:37 +0000

normaliz (3.0.0+ds-3) unstable; urgency=medium

  * FTBFS fix release (Closes: #806769), disable OMP support on mipsel arch.
  * Debianization:
    - debian/rules, see above.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 01 Dec 2015 04:15:03 +0000

normaliz (3.0.0+ds-2) unstable; urgency=medium

  * FTBFS fix release (Closes: #804742).
  * Debianization:
    - debian/control, Vcs-Browser field correction;
    - debian/rules, refresh;
    - debian/patches/upstream-fix-gmp-ambiguous_call.patch, C++ ambiguity fix.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 19 Nov 2015 05:14:41 +0000

normaliz (3.0.0+ds-1) unstable; urgency=medium

  * New upstream version:
    - thanks for the upstream maintainer team for rendering further the
      upstream source more suitable for distribution packaging;
    - and for integrating the last upstream debian patches.
  * Upload to unstable.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/watch:
      - update;
    - debian/rules:
      - refresh;
    - debian/patches/*:
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 11 Oct 2015 05:27:10 +0000

normaliz (2.99.4+ds-1) experimental; urgency=medium

  * New upstream version:
    - thanks for the upstream maintainer team for rendering the upstream
      source more suitable for distribution packaging;
    - and for integrating most of the upstream debian patches.
  * Debianization:
    - debian/control:
      - refresh;
    - debian/copyright:
      - repack by using the Files-Excluded machinery instead of the ad-hoc
        script debian/repack;
      - refresh;
    - debian/repack, discard (see above);
    - debian/watch:
      - revisit (see above);
    - debian/rules:
      - software test suite, ad-hoc check;
      - refresh;
    - debian/patches/*:
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 02 Sep 2015 02:42:52 +0000

normaliz (2.12.2+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #776019)

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 03 May 2015 00:56:24 +0000
